## instantbird 0.2

=== debian/changelog ===
instantbird (1:0.2-1ubuntu2) maverick; urgency=low

  * Don't set MinVersion and MaxVersion in application.ini so tightly, else
    we have to rebuild for every Firefox security update
    - update debian/patches/01xulrunner-ubuntu

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 23 Aug 2010 14:20:24 +0100

instantbird (1:0.2-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #614222)  Remaining changes:
    + Don't hardcode "--with-libxul-sdk" in debian/instantbird.mozconfig.
      This path is not stable on Ubuntu, so populate this automatically
      - rename debian/instantbird.mozconfig => debian/instantbird.mozconfig.in
      - update debian/instantbird.mozconfig.in
      - update debian/rules
    + Bump xulrunner dependency to 1.9.2
      - update debian/control
    + Look for xpcom-config.h in the correct location in the SDK
      - add debian/patches/01xulrunner-ubuntu
      - update debian/patches/series
    * Ship a real instantbird-bin rather than symlinking to xulrunner-stub.
      This avoids having to do a rebuild every time we do a xulrunner update
      (which would break the symlink)
      - update debian/instantbird.install
      - update debian/instantbird.links
    * Add StartupWMClass to desktop file
      - update debian/instantbird.desktop

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 06 Aug 2010 00:48:00 -0500

instantbird (1:0.2-1) unstable; urgency=low

  * New upstream release.
  * Standards version to 3.9.1.
  * Fixed B-D for kfreebsd-{amd64,i386} and hurd-i386.
  * d/copyright:
    - added mozilla/ipc/chromium section (BSD).
    - added mozilla/editor/libeditor/html/tests/browserscope section (ASL-2.0).
    - zlib moved from mozilla/security/nss/cmd to mozilla/security/nss/lib.
    - added mozilla/testing/mochitest/MochiKit section (MIT|AFL-2.1).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 29 Jul 2010 23:17:19 +0200

instantbird (0.2b2-2ubuntu1) maverick; urgency=low

  * Don't hardcode "--with-libxul-sdk" in debian/instantbird.mozconfig.
    This path is not stable on Ubuntu, so populate this automatically
    - rename debian/instantbird.mozconfig => debian/instantbird.mozconfig.in
    - update debian/instantbird.mozconfig.in
    - update debian/rules
  * Bump xulrunner dependency to 1.9.2
    - update debian/control
  * Look for xpcom-config.h in the correct location in the SDK
    - add debian/patches/01xulrunner-ubuntu
    - update debian/patches/series
  * Ship a real instantbird-bin rather than symlinking to xulrunner-stub.
    This avoids having to do a rebuild every time we do a xulrunner update
    (which would break the symlink)
    - update debian/instantbird.install
    - update debian/instantbird.links
  * Add StartupWMClass to desktop file
    - update debian/instantbird.desktop

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 14 Jul 2010 21:20:28 +0100

instantbird (0.2b2-2) unstable; urgency=low

  * Switched branding from nightly to release
  * Added ancient-libtool lintian override

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 17 Apr 2010 12:36:06 +0200

instantbird (0.2b2-1) unstable; urgency=low

  * New upstream release
    - libpurple upgrades from 2.6.3 to 2.6.6
  * Removed some non-free data from upstream tarball (Closes: #572710)
    - Updated d/remove.nonfree script
  * Removed patch 00libpurple, no more needed
  * Added patch 00xulrunner to build against xulrunner-1.9.1
  * Added watchfile
  * Added DM-Upload-Allowed field

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 05 Apr 2010 14:26:03 +0200

instantbird (0.2b1-1) unstable; urgency=low

  * Initial release (Closes: #495736)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 11 Dec 2009 22:31:50 +0100
