=== debian/control ===
Source: instantbird
Section: net
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
XSBC-Original-Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: debhelper (>= 7.4.12),
               autotools-dev,
               autoconf2.13,
               python,
               zip,
               xulrunner-dev (>= 1.9.2),
               libgtk2.0-dev (>= 2.10.0),
               libdbus-glib-1-dev (>= 0.60),
               libidl-dev (>= 0.8.0),
               libxt-dev,
               libnotify-dev (>= 0.4),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libxml2-dev,
               uuid-runtime,
               imagemagick,
               libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://www.instantbird.com/

Package: instantbird
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.2
Description: Instant messaging client based on XULrunner and libpurple
 Instantbird is an IM client based on Mozilla's XULrunner (the same
 platform that Iceweasel is based on). It supports connecting to all
 of the popular IRC networks through the use of libpurple, Pidgin's
 messaging core.
 .
 It supports all of the usual IM networks, like AIM, MSN, Jabber and so on.
