## instantbird 0.3~a1

=== debian/changelog ===
instantbird (1:0.3~a1-0ubuntu6) natty; urgency=low

  * Build-depend on mesa-common-dev. The mozilla build-system checks
    for this unconditionally, although it's not used anywhere here

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 17:28:00 +0100

instantbird (1:0.3~a1-0ubuntu5) natty; urgency=low

  * Fix LP: #761715 - instantbird will stop working with the Firefox
    4.0.1 release
    - update debian/patches/01xulrunner-ubuntu 

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 15:07:33 +0100

instantbird (1:0.3~a1-0ubuntu4) natty; urgency=low

  * debian/rules: Build with --disable-elf-hack on armel and powerpc.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 23 Mar 2011 17:24:12 +0200

instantbird (1:0.3~a1-0ubuntu3) natty; urgency=low

  * Fix LP: #723987 - make sure we install the top-level chrome.manifest
    - update debian/instantbird.install

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 24 Feb 2011 00:28:18 +0000

instantbird (1:0.3~a1-0ubuntu2) natty; urgency=low

  * Fix up build-dependencies and configure flags
    - Drop libdbus-glib-1-dev, libnotify-dev, libasound2-dev and libiw-dev
    - Build with --disable-libnotify, --disable-webm, --disable-necko-wifi,
      --disable-dbus, --disable-ogg --disable-wave

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 22 Feb 2011 20:45:41 +0000

instantbird (1:0.3~a1-0ubuntu1) natty; urgency=low

  * New upstream release v0.3~a1

  * Drop unneeded Debian patch
    - remove debian/00xulrunner
    - update debian/patches/series
  * Refresh patches
    - update debian/01xulrunner-ubuntu
  * Update build-depends for xulrunner-2.0
    - update debian/control
    - update debian/rules
  * Build with --enable-chrome-format=jar
    - update debian/instantbird.mozconfig.in
  * Fix build with system libxul - don't assume that mozilla/toolkit/locales
    has a Makefile
    - add debian/patches/fix-libxul-build.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 22 Feb 2011 00:25:29 +0000
