=== debian/control ===
--- 
+++ 
@@ -8,24 +8,21 @@
                autoconf2.13,
                python,
                zip,
-               xulrunner-dev (>= 1.9.2),
+               xulrunner-2.0-dev,
                libgtk2.0-dev (>= 2.10.0),
-               libdbus-glib-1-dev (>= 0.60),
                libidl-dev (>= 0.8.0),
                libxt-dev,
-               libnotify-dev (>= 0.4),
-               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libxml2-dev,
                uuid-runtime,
                imagemagick,
-               libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
+               mesa-common-dev
 Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://www.instantbird.com/
 
 Package: instantbird
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-1.9.2
+Depends: ${shlibs:Depends}, ${misc:Depends}, xulrunner-2.0
 Description: Instant messaging client based on XULrunner and libpurple
  Instantbird is an IM client based on Mozilla's XULrunner (the same
  platform that Iceweasel is based on). It supports connecting to all
