=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MOZCONFIG := $(CURDIR)/debian/instantbird.mozconfig
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEBIAN_XUL_VER := $(shell MALLOC_OPTIONS=O xulrunner-1.9.2 --gre-version)
+DEBIAN_XUL_VER := $(shell MALLOC_OPTIONS=O xulrunner-2.0 --gre-version)
 
 %:
 	dh --builddirectory=$(OBJDIR) $@
@@ -23,6 +23,10 @@
 endif
 ifneq (,$(filter kfreebsd-% hurd-%,$(DEB_BUILD_ARCH)))
         CONFIGURE_FLAGS += --disable-necko-wifi
+endif
+
+ifneq (,$(filter armel powerpc, $(DEB_BUILD_ARCH)))
+        CONFIGURE_FLAGS += --disable-elf-hack
 endif
 
 debian/instantbird.mozconfig: debian/instantbird.mozconfig.in
