=== debian/watch ===
version=3
http://ftp.instantbird.com/instantbird/releases/(\d.*)/instantbird-(\d.*).src.tgz
